org.apache.hc.client5.http.auth

## Class AuthChallenge

- java.lang.Object
- - org.apache.hc.client5.http.auth.AuthChallenge

-     @Contract(threading=IMMUTABLE)
      public final class AuthChallenge
      extends Object

  This class represents an authentication challenge consisting of a auth scheme and either a single parameter or a list of name / value pairs.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthChallenge(ChallengeType challengeType, String schemeName, org.apache.hc.core5.http.NameValuePair... params)`
    `AuthChallenge(ChallengeType challengeType, String schemeName, String value, List<? extends org.apache.hc.core5.http.NameValuePair> params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChallengeType` | `getChallengeType()`
    `List<org.apache.hc.core5.http.NameValuePair>` | `getParams()`
    `String` | `getSchemeName()`
    `String` | `getValue()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthChallenge

          public AuthChallenge(ChallengeType challengeType,
                               String schemeName,
                               String value,
                               List<? extends org.apache.hc.core5.http.NameValuePair> params)

    - #### AuthChallenge

          public AuthChallenge(ChallengeType challengeType,
                               String schemeName,
                               org.apache.hc.core5.http.NameValuePair... params)

  - ### Method Detail

    - #### getChallengeType

          public ChallengeType getChallengeType()

    - #### getSchemeName

          public String getSchemeName()

    - #### getValue

          public String getValue()

    - #### getParams

          public List<org.apache.hc.core5.http.NameValuePair> getParams()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.